function betas = sestdaest(data, nrx, ages, cyear, cages, agestart)
% sestdaest(): function to be minimized for estimating beta parameters, auxiliary function for sestda.m 
% 12-Jul-2004  
% ProjectID: DGMI 

disp('Estimating the beta parameters ...');

% setup optimization parameters
setup = optimset('fminsearch');
setup = optimset(setup, 'MaxFunEvals', 1e4);
setup = optimset(setup, 'MaxIter', 1e4);
setup = optimset(setup, 'TolFun', []);
setup = optimset(setup, 'TolX', 1e-6);

% starting point
startpnt = [0  0];
[betas, fval, exitflag, output] = fminsearch('sestdamin', startpnt, setup, data, nrx, ages, cyear, cages, agestart);

if exitflag == 0
   disp([mfilename ': convergence failed']);
   disp('Unable estimate the beta parameters');
   betas = NaN;   
end

output
disp('Completed ');
