function dev = sestdamin(betas, data, nrx, ages, cyear, cages, agestart)
% sestdamin(): function to be minimized for estimating beta parameters, auxiliary function for sestda.m 
% 12-Jul-2004  
% ProjectID: DGMI 

% get population estimates produced by this method 
N = sestdasurv(data, nrx, betas, ages, cyear, agestart);
i = find(N(:,1) >= cages(1) & N(:,1) <= cages(2));
N = N(i,2);

% get population estimates available beforehand 
e = data.age >=cages(1) & data.age <=cages(2) & data.year == cyear & data.timing == 2;
i = find(e);
Norg = data.population(i);

% deviation
dev  = sum((Norg - N).^2);
