function [ux, qx, nrxadj] = sestdamort(nrx, betas, ages, agestart)
% sestdamort(): indirect mortality estimate, auxiliary function for sestda.m 
% 12-Jul-2004  
% ProjectID: DGMI 

% adjust nrx schedule by applying betas parameters
nrxadj = nrx .* exp(betas(1) + betas(2) .* (ages - agestart));   

n = length(nrxadj);
ux = zeros(n, 1);  % odds of survival     

is = fliplr(1:n);
ux1 = 0;           % ux at age+1
for i = is
    ux(i) = nrxadj(i) .* (1 + ux1);
    ux1 = ux(i);
end

% age specific probabilities of dying
qx = 1 ./ (ux + 1);