function N = sestdasurv(data, nrx, betas, ages, cyear, agestart)
% sestdasurv(): population (survivor) estimates, auxiliary function for sestda.m 
% 12-Jul-2004  
% ProjectID: DGMI 

% get odds
ux = sestdamort(nrx, betas, ages, agestart);

% get corresponding deaths
D = zeros(size(ages));
for a = ages'
    dx = 0;
    
    % get deaths
    e = data.age == a & data.year == (cyear-1) & data.timing == 2;
    i = find(e);
    dx = dx + data.deaths(i);
    
    % get deaths
    e = data.age == a+1 & data.year == (cyear-1) & data.timing == 1;
    i = find(e);
    dx = dx + data.deaths(i);
    
    %
    D(a - ages(1) + 1) = dx;
end

% survivor estimates 
N = D .* ux;

% add age column 
N = [ages+1 N];